package system

import (
	"github.com/gin-gonic/gin"
)

type AuthorityBtnRouter struct{}

// InitAuthorityBtnRouter 初始化权限按钮路由
func (s *AuthorityBtnRouter) InitAuthorityBtnRouter(Router *gin.RouterGroup) {
	authorityBtnRouter := Router.Group("authorityBtn")
	{
		authorityBtnRouter.POST("getAuthorityBtn", authorityBtnApi.GetAuthorityBtn)
		authorityBtnRouter.POST("setAuthorityBtn", authorityBtnApi.SetAuthorityBtn)
		authorityBtnRouter.POST("canRemoveAuthorityBtn", authorityBtnApi.CanRemoveAuthorityBtn)
	}
}
